package com.djhk.uav.sysPolice.service.impl;


import com.djhk.common.api.domain.SysPoliceFly;
import com.djhk.uav.sysPolice.mapper.SysPoliceFlyMapper;
import com.djhk.uav.sysPolice.service.ISysPoliceFlyService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class SysPoliceFlyImpl implements ISysPoliceFlyService {

    @Resource
    private SysPoliceFlyMapper sysPoliceFlyMapper;


    @Override
    public List<SysPoliceFly> selectDeptList(SysPoliceFly sysPoliceFly) {
        return sysPoliceFlyMapper.selectPoliceList(sysPoliceFly);
    }

    @Override
    public int insertDept(SysPoliceFly sysPoliceFly) {
        return sysPoliceFlyMapper.insertPolice(sysPoliceFly);
    }

    @Override
    public int updateDept(SysPoliceFly sysPoliceFly) {
        return sysPoliceFlyMapper.updatePolice(sysPoliceFly);
    }

    @Override
    public int deleteDeptById(Long sysPoliceFlyId) {
        return sysPoliceFlyMapper.deletePoliceById(sysPoliceFlyId);
    }

}
